### Type parameters

- #### T

### Hierarchy

- StandardRequest<T, GetItemInput, GetRequest<T>>
  - GetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- consistentRead
- exec
- execFullResponse
- projectionExpression
- returnConsumedCapacity

## Constructors

### constructor

- new GetRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): GetRequest

- Overrides StandardRequest.constructor

  - Defined in dynamo/request/get/get.request.ts:13

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns GetRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:28

### Private logger

logger: Logger

- Defined in dynamo/request/get/get.request.ts:13

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: GetItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### consistentRead

- consistentRead(consistentRead: boolean): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:21

  #### Parameters

  - ##### consistentRead: boolean

  #### Returns GetRequest<T>

### exec

- exec(): Observable<T | null>

- Overrides StandardRequest.exec

  - Defined in dynamo/request/get/get.request.ts:55

  #### Returns Observable<T | null>

### execFullResponse

- execFullResponse(): Observable<GetResponse<T>>

- Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/get/get.request.ts:36

  #### Returns Observable<GetResponse<T>>

### projectionExpression

- projectionExpression(...attributesToGet: string[]): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:26

  #### Parameters

  - ##### Rest ...attributesToGet: string[]

  #### Returns GetRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): GetRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns GetRequest<T>

Generated using TypeDoc